;; -*- no-byte-compile: t; -*-
;;; $DOOMDIR/packages.el

;; To install a package with Doom you must declare them here and run 'doom sync'
;; on the command line, then restart Emacs for the changes to take effect -- or
;; use 'M-x doom/reload'.

(unpin! doom-themes)
(unpin! sly)
(unpin! consult)
(unpin! vertico)
(unpin! embark)
(unpin! orderless)
(unpin! cape)
(unpin! corfu)
(unpin! yasnippet-capf)
(unpin! parinfer-rust-mode)
(unpin! use-package)
(unpin! vterm)

(package! meow)
(package! kurecolor)
(package! colorful-mode)
(package! bookmark-in-project)
(package! just-mode)
(package! justl)
(package! fennel-mode)
(package! systemd)
(package! nerd-icons-completion)
(package! nerd-icons-dired)
(package! treemacs-nerd-icons)
(package! kind-icon)
(package! caddyfile-mode)
(package! obsidian)
(package! w3m)
(package! terminal-here)
(package! processing-mode)
(package! ob-p5js)
(package! fish-mode)
(package! svelte-mode)
(package! gcode-mode)
(package! consult-yasnippet)
(package! uniline)
(package! sly-asdf)
(package! sly-quicklisp)
(package! mixed-pitch)
(package! nerd-icons-ibuffer)
(package! magit-todos)
(package! platformio-mode)

(package! kdl-mode
  :recipe (:type git
           :host github
           :repo "bobuk/kdl-mode"
           :files (:defaults "*.el")))

(package! meow-vterm
  :recipe (:type git :host github :repo "accelbread/meow-vterm"))

(package! meow-tree-sitter
  :recipe (:type git :host github :repo "skissue/meow-tree-sitter"))

(package! kbd-mode
  :recipe (:type git :host github :repo "kmonad/kbd-mode"))

(package! mu4e-query
  :recipe (:host github :type git :repo "mickeynp/mu4e-query"))

(package! consult-mu
  :recipe (:host github :type git :repo "armindarvish/consult-mu" :files (:defaults "extras/*.el")))

(package! mu4e-overview
  :recipe (:type git :host github :repo "mkcms/mu4e-overview"))

(package! sclang
 :recipe (:local-repo "/home/emenel/.local/share/SuperCollider/downloaded-quarks/scel/el"))

(package! scad-mode
  :recipe (:type git
           :host github
           :repo "openscad/emacs-scad-mode"))
(package! scad-dbus
  :recipe (:type git
           :host github
           :repo "lenbok/scad-dbus"))

(package! lisp-markup
  :recipe (:type git
           :host github
           :repo "moderninterpreters/markup"
           :files ("*.el")))

(package! eglot-booster
  :recipe (:type git
           :host github
           :repo "jdtsmith/eglot-booster"))

(package! zone-nyan
  :recipe (:type git
           :remote "depp.brause.cc/zone-nyan.git"))

(package! hotfuzz
  :recipe (:type git
           :host github
           :repo "axelf4/hotfuzz"))

